const { defineConfig } = require("@vue/cli-service");
const { gitDescribeSync } = require("git-describe");

process.env.VUE_APP_GIT_HASH = gitDescribeSync().hash;

module.exports = defineConfig({
  transpileDependencies: true,
  configureWebpack: {
    devtool: "source-map",
    experiments: {
      topLevelAwait: true,
    },
  },
  pwa: {
    iconPaths: {
      faviconSVG: "img/icons/safari-pinned-tab.svg",
    },
    workboxPluginMode: "InjectManifest",
    workboxOptions: {
      swSrc: "./sw_scripts/additional-scripts.js",
    },
  },
});
